Bug 884650 - Add support for qemu-kvm's BALLOON_CHANGE event to avoid using monitor in virDomainGetXMLDesc
Summary: Add support for qemu-kvm's BALLOON_CHANGE event to avoid using monitor in vir...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt
Version: 6.3
Hardware: x86_64
OS: Linux
high
urgent
Target Milestone: rc
: ---
Assignee: Jiri Denemark
QA Contact: Virtualization Bugs
URL:
Whiteboard: infra
Depends On: 881732
Blocks: 851837 884713 888457
TreeView+ depends on / blocked
 
Reported: 2012-12-06 13:46 UTC by Dave Allan
Modified: 2016-04-26 14:26 UTC (History)
27 users (show)

Fixed In Version: libvirt-0.10.2-12.el6
Doc Type: Bug Fix
Doc Text:
Whenever the virDomainGetXMLDesc() function was executed on a domain that was unresponsive, the call also became unresponsive. With this update, QEMU sends the BALLOON_CHANGE event when memory usage on a domain changes so that virDomainGetXMLDesc() no longer has to query an unresponsive domain. As a result, virDomainGetXMLDesc() calls no longer hang in the described scenario.
Clone Of: 881732
Environment:
Last Closed: 2013-02-21 07:28:11 UTC
Target Upstream Version:


Attachments (Terms of Use)
q64 guest xml (3.12 KB, text/plain)
2012-12-10 05:42 UTC, Huang Wenlong
no flags Details
q64 guest qemu.log (31.79 KB, text/plain)
2012-12-10 05:44 UTC, Huang Wenlong
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0276 normal SHIPPED_LIVE Moderate: libvirt security, bug fix, and enhancement update 2013-02-20 21:18:26 UTC

Comment 5 Huang Wenlong 2012-12-10 05:42:49 UTC
Created attachment 660582 [details]
q64 guest xml

Comment 6 Huang Wenlong 2012-12-10 05:44:01 UTC
Created attachment 660583 [details]
q64 guest qemu.log

Comment 7 Jiri Denemark 2012-12-11 08:19:39 UTC
Looks like an issue with python bindings or python event-test example.

Comment 8 Jiri Denemark 2012-12-11 12:51:19 UTC
Trivial patch that fixes the python event-test example sent for review:

http://post-office.corp.redhat.com/archives/rhvirt-patches/2012-December/msg00190.html

Comment 10 Huang Wenlong 2012-12-14 02:35:46 UTC
Reproduce this bug :
libvirt-0.10.2-10.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.340.el6.x86_64

Verify this bug with :
libvirt-0.10.2-12.el6.x86_64.rpm
qemu-kvm-rhev-0.12.1.2-2.340.el6.x86_64


1) start a guest 

2) virsh setmeme --live mig 800M 

3) kill -STOP  guest-pid 

4) virsh dumpxml mig 


it can dumpxml immediately ,so mark it verified





Hi, Jiri 

I open other console with "ython /usr/share/doc/libvirt-python-0.10.2/events-python/event-test.py" 
but it can not get event about balloon change , is it the expected result ?

Comment 11 Jiri Denemark 2012-12-14 08:34:09 UTC
Well, that's expected with -2.340 build of qemu-kvm, since it does not support this event. On the other hand, you should be able to reproduce this bug with that package, are you sure no virt-manager, vdsm, or anything else that would be also talking to libvirtd was running when you tried to reproduce this? You need qemu-kvm-0.12.1.2-2.344.el6 to see this bug fixed and events reported.

Comment 12 Huang Wenlong 2012-12-17 02:59:25 UTC
(In reply to comment #11)
> Well, that's expected with -2.340 build of qemu-kvm, since it does not
> support this event. On the other hand, you should be able to reproduce this
> bug with that package, are you sure no virt-manager, vdsm, or anything else
> that would be also talking to libvirtd was running when you tried to
> reproduce this? You need qemu-kvm-0.12.1.2-2.344.el6 to see this bug fixed
> and events reported.



Hi, Jiri 
I re-verify this bug with :

libvirt-0.10.2-12.el6.x86_64
qemu-kvm-rhev-0.12.1.2-2.344.el6.x86_64


step as comment 10  , I am sure there is not virt-manager or vdsm or anything else 
event handler about balloon event works well :

myDomainEventBalloonChangeCallback: Domain mig(5) 1047552
myDomainEventBalloonChangeCallback: Domain mig(5) 921600


Wenlong

Comment 13 errata-xmlrpc 2013-02-21 07:28:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0276.html


Note You need to log in before you can comment on or make changes to this bug.